; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================
; --- Run nav fixes script
; --- Fix 1: Fixes jesus spot on table in burger tank
add:
{
	"classname" "logic_auto"
	"OnMapSpawn" "@director,RunScriptFile,nav_fixes/c4m1_milltown_a_navfixes,20,-1"
}
; --- Force all alarm cars to be active
modify:
; --- Alarm by burger tank
{
	match:
	{
		"targetname" "branch_caralarm-car5"
	}
	replace:
	{
		"OnTrue" "relay_caralarm_on-car5Trigger0-1"
	}
}
; --- Alarm by playground saferoom house
{
	match:
	{
		"targetname" "branch_caralarm-car1"
	}
	replace:
	{
		"OnTrue" "relay_caralarm_on-car1Trigger0-1"
	}
}
; --- Alarm by the playground green house
{
	match:
	{
		"targetname" "branch_caralarm-car4"
	}
	replace:
	{
		"OnTrue" "relay_caralarm_on-car4Trigger0-1"
	}
}
; --- Alarm by the garage sale
{
	match:
	{
		"targetname" "branch_caralarm-car2"
	}
	replace:
	{
		"OnTrue" "relay_caralarm_on-car2Trigger0-1"
	}
}
; --- Alarm by the sugarmill saferoom
{
	match:
	{
		"targetname" "branch_caralarm-car3"
	}
	replace:
	{
		"OnTrue" "relay_caralarm_on-car3Trigger0-1"
	}
}


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
; --- Make the weapons before the diner single pickup to get survivors to go in the diner
filter:
{
	"targetname" "vs_weapons"
}
add:
{
	"classname" "weapon_pumpshotgun"
	"origin" "-6689 7628.07 101.259"
	"angles" "0 0 90"
	"ammo" "72"
	"spawnflags" "1"
}
{
	"classname" "weapon_smg"
	"origin" "-6690.96 7641.87 101.223"
	"angles" "0 30 90"
	"ammo" "650"
	"spawnflags" "1"
}
; --- Single magnum spawn before diner
{
	"classname" "weapon_pistol_magnum"
	"origin" "-6652 7633 97"
	"angles" "0 81 90"
	"spawnflags" "1"
}
; --- Make the spawns inside the diner always be the alternative tier 1 type
modify:
{
	match:
	{
		"hammerid" "1799514"
	}
	replace:
	{
		"weapon_selection" "weapon_smg_silenced"
	}
}
{
	match:
	{
		"hammerid" "1799518"
	}
	replace:
	{
		"weapon_selection" "weapon_shotgun_chrome"
	}
}
; --- Remove health cabinets
filter:
{
	"classname" "prop_health_cabinet"
}
; --- Make guns in house by sugarmill saferoom always spawn both T1 types
modify:
{
	match:
	{
		"hammerid" "2160070"
	}
	replace:
	{
		"weapon_selection" "tier1_shotgun"
	}
}
{
	match:
	{
		"hammerid" "2160068"
	}
	replace:
	{
		"weapon_selection" "any_smg"
	}
}
; --- Remove item spawns in the inaccessible parts of the map
filter:
{
	"hammerid" "2674151"
}
{
	"hammerid" "2724012"
}
{
	"hammerid" "2674153"
}
{
	"hammerid" "2674155"
}
{
	"hammerid" "2674157"
}
{
	"hammerid" "2674159"
}
{
	"hammerid" "2674123"
}
{
	"hammerid" "2674125"
}
{
	"hammerid" "2674127"
}
{
	"hammerid" "2674129"
}
{
	"hammerid" "2674131"
}
{
	"hammerid" "2674137"
}
{
	"hammerid" "2674139"
}
{
	"hammerid" "2674141"
}
{
	"hammerid" "2674143"
}
{
	"hammerid" "2674145"
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================
add:
; --- Ammo pile on table by playground
{
	"classname" "weapon_ammo_spawn"
	"origin" "-2061 6309 137"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Ammo pile on porch by the raised up house at the end of the street
{
	"classname" "weapon_ammo_spawn"
	"origin" "1035 6301 120.5"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Ammo pile on tarp covered boxes by the treehouse
{
	"classname" "weapon_ammo_spawn"
	"origin" "1962 2742 131.5"
	"angles" "3.4892 184.508 0.274946"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block survivors from getting on the roof next to burger tank
{
	"classname" "env_physics_blocker"
	"origin" "-6000 8244 794"
	"mins" "-208 -180 -454"
	"maxs" "208 180 454"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6016 8768 706"
	"mins" "-128 -96 -454"
	"maxs" "128 96 454"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Replace angled clip until angled clip bug is fixed (#34)
;{
;	"classname" "env_physics_blocker"
;	"origin" "-5846 8536 818"
;	"angles" "0 7 0"
;	"mins" "-40 -140 -454"
;	"maxs" "40 140 454"
;	"boxmins" "-40 -140 -454"
;	"boxmaxs" "40 140 454"
;	"initialstate" "1"
;	"BlockType" "1"
;}
{
	"classname" "env_physics_blocker"
	"origin" "-5848 8556 794"
	"mins" "-56 -132 -454"
	"maxs" "56 132 454"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block tickrate jump onto back of pickup to skip the ladder at the start
{
	"classname" "env_physics_blocker"
	"origin" "-3304 7442 130"
	"angles" "0 -6 0"
	"mins" "-37.5 -59 -34"
	"maxs" "37.5 59 34"
	"boxmins" "-37.5 -59 -34"
	"boxmaxs" "37.5 59 34"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing on tree by the playground
{
	"classname" "env_physics_blocker"
	"origin" "-1521 7060 940"
	"mins" "-65 -50 -606"
	"maxs" "65 50 606"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors getting on the hedges and fences by the playground / broken building
{
	"classname" "env_physics_blocker"
	"origin" "-1138 7430 816"
	"angles" "0 -1 0"
	"mins" "-30 -770 -576"
	"maxs" "30 770 576"
	"boxmins" "-30 -770 -576"
	"boxmaxs" "30 770 576"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-640 6592 810"
	"mins" "-4 -64 -582"
	"maxs" "4 64 582"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-900 6652 810"
	"mins" "-256 -4 -582"
	"maxs" "256 4 582"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from getting on the green building by the playground
{
	"classname" "env_physics_blocker"
	"origin" "-1708 5664 767"
	"mins" "-260 -208 -514.5"
	"maxs" "260 208 514.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from getting on the tall roof by the playground
{
	"classname" "env_physics_blocker"
	"origin" "-640 5760 927"
	"mins" "-272 -208 -459"
	"maxs" "272 208 459"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors climbing on top of and around the broken building
{
	"classname" "env_physics_blocker"
	"origin" "-572 6524 827"
	"mins" "-62 -4 -565"
	"maxs" "62 4 565"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-503 6527 946"
	"mins" "-7 -1 -565"
	"maxs" "7 1 565"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-636 6336 827"
	"mins" "-4 -192 -565"
	"maxs" "4 192 565"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-579 6148 827"
	"mins" "-53 -4 -565"
	"maxs" "53 4 565"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-376 6148 827"
	"mins" "-64 -4 -565"
	"maxs" "64 4 565"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-56 6148 827"
	"mins" "-120 -4 -565"
	"maxs" "120 4 565"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "61 6204 827"
	"mins" "-3 -52 -565"
	"maxs" "3 52 565"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "61 6431 827"
	"mins" "-3 -97 -565"
	"maxs" "3 97 565"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-7 6492 955"
	"mins" "-57 -4 -565"
	"maxs" "57 4 565"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-136 6524 827"
	"mins" "-64 -4 -565"
	"maxs" "64 4 565"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-351 6524 827"
	"mins" "-65 -4 -565"
	"maxs" "65 4 565"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-71 6209 957"
	"mins" "-3 -57 -565"
	"maxs" "3 57 565"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing generator pole by the broken house near the playground
{
	"classname" "env_physics_blocker"
	"origin" "212 6007 243"
	"mins" "-7 -5 -143"
	"maxs" "7 5 143"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors standing on the hedges by the trailer near the ambulance
{
	"classname" "env_physics_blocker"
	"origin" "-746 5183 891"
	"mins" "-511 -26 -645"
	"maxs" "511 26 645"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from getting on the elevated house roof
{
	"classname" "env_physics_blocker"
	"origin" "1058 6976 881"
	"mins" "-64 -112.5 -512.5"
	"maxs" "64 112.5 512.5"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1383 7072 885"
	"mins" "-256 -208.5 -508.5"
	"maxs" "256 208.5 508.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the fences by the elevated house
{
	"classname" "env_physics_blocker"
	"origin" "1101 7570 808"
	"mins" "-207 -2 -728"
	"maxs" "207 2 727"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from getting on the roof by the elevated house next to the boat
{
	"classname" "env_physics_blocker"
	"origin" "1242 6364 784"
	"mins" "-234 -320 -496"
	"maxs" "234 320 496"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from getting on the roof by the ambulance
{
	"classname" "env_physics_blocker"
	"origin" "1476 4336 889"
	"mins" "-208 -320 -504"
	"maxs" "208 320 504"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1171 4452 881"
	"mins" "-97 -164 -512.5"
	"maxs" "97 164 512.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors jumping on roof and tree behind treehouse
{
	"classname" "env_physics_blocker"
	"origin" "2360 3360 816"
	"mins" "-168 -224 -576"
	"maxs" "168 224 576"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2688 3424 828"
	"mins" "-160 -160 -564"
	"maxs" "160 160 564"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2207 3095 798"
	"mins" "-19 -21 -594"
	"maxs" "19 21 594"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block fence by garage sale that allows survivors to get on roof (Replace TLS blocker with more precise one)
{
	"classname" "env_physics_blocker"
	"origin" "1772 2172 807"
	"angles" "0 10 0"
	"mins" "-10 -123.5 -585.5"
	"maxs" "10 123.5 585.5"
	"boxmins" "-10 -123.5 -585.5"
	"boxmaxs" "10 123.5 585.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors standing on hedges by houses near the sugarmill
{
	"classname" "env_physics_blocker"
	"origin" "4808 -229 810"
	"angles" "0 -25 0"
	"mins" "-20 -116 -582"
	"maxs" "20 116 582"
	"boxmins" "-20 -116 -582"
	"boxmaxs" "20 116 582"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4783 780 810"
	"angles" "0 10 0"
	"mins" "-20 -125 -582"
	"maxs" "20 125 582"
	"boxmins" "-20 -125 -582"
	"boxmaxs" "20 125 582"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4691 1175 810"
	"angles" "0 7 0"
	"mins" "-31 -205 -582"
	"maxs" "31 205 582"
	"boxmins" "-31 -205 -582"
	"boxmaxs" "31 205 582"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing generator pole by sugarmill saferoom
{
	"classname" "env_physics_blocker"
	"origin" "3460 -1322 248"
	"mins" "-6 -7 -143"
	"maxs" "6 7 143"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the fence by the sugarmill saferoom
{
	"classname" "env_physics_blocker"
	"origin" "4397 -1055 816"
	"mins" "-142 -1 -720"
	"maxs" "142 1 720"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================
add:
; --- Clipping to prevent a stuck spot on green house by the playground
{
	"classname" "env_physics_blocker"
	"origin" "-1986 5476 97"
	"mins" "-28 -6 -6"
	"maxs" "28 6 6"
	"initialstate" "1"
	"BlockType" "0"
}

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
add:
; --- Cliping on pickup truck by burger tank to make the jump to the awning possible on all tickrates
{
	"classname" "env_physics_blocker"
	"origin" "-5374 7281 193"
	"angles" "0 -8.5 0"
	"mins" "-24 -30 -3"
	"maxs" "24 30 3"
	"boxmins" "-24 -30 -3"
	"boxmaxs" "24 30 3"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on floating tree by burger tank
{
	"classname" "env_physics_blocker"
	"origin" "-4744 6788 105"
	"mins" "-54 -48 -7"
	"maxs" "54 48 7"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Add plywood behind ladder on collapsed fence to fix visibility issues
{
	"classname" "prop_dynamic"
	"origin" "-4092 7460 231"
	"angles" "-90 0 0"
	"model" "models/props_highway/plywood_03.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Add missing glass to vehicles
{
	"classname" "prop_dynamic"
	"origin" "-3207.95 7448.24 102.297"
	"angles" "0 356.501 0"
	"model" "models/props_vehicles/pickup_truck_78_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "204 6340 98"
	"angles" "0.295346 279.998 0.522482"
	"model" "models/props_vehicles/suv_2001_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "524 4224 99"
	"angles" "0 148.999 0"
	"model" "models/props_vehicles/suv_2001_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "2955 2871 97"
	"angles" "2.17464 339.983 -0.161994"
	"model" "models/props_vehicles/suv_2001_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "3216 -1376 104"
	"angles" "-0.26848 319.945 0.0671714"
	"model" "models/props_vehicles/suv_2001_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on pickup truck by ladder to prevent getting stuck
{
	"classname" "env_physics_blocker"
	"origin" "-3153 7445 167"
	"angles" "33 -4.5 0"
	"mins" "-31.5 -36 -1"
	"maxs" "31.5 36 1"
	"boxmins" "-31.5 -36 -1"
	"boxmaxs" "31.5 36 1"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-3140 7436 158"
	"mins" "-36 -51 -4"
	"maxs" "36 51 4"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Block LOS under fence by the ladder before the playground
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_ladder_fence,AddOutput,mins -192 -1 -3,0,-1"
	"OnMapSpawn" "losfix_ladder_fence,AddOutput,maxs 192 1 3,0,-1"
	"OnMapSpawn" "losfix_ladder_fence,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-3104 7385 98"
	"targetname" "losfix_ladder_fence"
}
; --- Clipping on balcony railing by the playground
{
	"classname" "env_physics_blocker"
	"origin" "-988 5792 285"
	"mins" "-4 -136 -22"
	"maxs" "4 136 22"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on blue SUV to stop players getting stuck and make it easier to jump on
{
	"classname" "env_physics_blocker"
	"origin" "3004 2853 121"
	"angles" "2.17464 339.983 -0.161994"
	"mins" "-55 -46 -29"
	"maxs" "55 46 29"
	"boxmins" "-55 -46 -29"
	"boxmaxs" "55 46 29"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "3011 2851 150"
	"angles" "0 339.983 0"
	"mins" "-15 -38 -3"
	"maxs" "15 38 3"
	"boxmins" "-15 -38 -3"
	"boxmaxs" "15 38 3"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2985 2860 157"
	"angles" "0 339.983 0"
	"mins" "-15 -40 -4"
	"maxs" "15 40 4"
	"boxmins" "-15 -40 -4"
	"boxmaxs" "15 40 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2979 2862 165"
	"angles" "0 339.983 0"
	"mins" "-15 -38 -4"
	"maxs" "15 38 4"
	"boxmins" "-15 -38 -4"
	"boxmaxs" "15 38 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2973 2864 174"
	"angles" "0 339.983 0"
	"mins" "-15 -36 -5"
	"maxs" "15 36 5"
	"boxmins" "-15 -36 -5"
	"boxmaxs" "15 36 5"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on green dumpster by sugarmill saferoom
{
	"classname" "env_physics_blocker"
	"origin" "3552 348 198"
	"angles" "0 165.5 0"
	"mins" "-188 -60 -18.2"
	"maxs" "188 60 18.2"
	"boxmins" "-188 -60 -18.2"
	"boxmaxs" "188 60 18.2"
	"initialstate" "1"
	"BlockType" "0"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- Tree near the collapsed fence by the burger tank
{
	"classname" "prop_dynamic"
	"origin" "-3794 6922 98"
	"angles" "0 270 0"
	"model" "models/props_foliage/urban_tree_giant01_medium.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Hedges by the boat near the playground
{
	"classname" "prop_dynamic"
	"origin" "-2028 7520 60"
	"angles" "0 0 0"
	"model" "models/props_foliage/urban_hedge_256_128_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2228 7884 60"
	"angles" "0 90 0"
	"model" "models/props_foliage/urban_hedge_256_128_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Extend garage shack on house behind playground alarm cars, next to the ladder
{
	"classname" "prop_dynamic"
	"origin" "-3010 7264 97"
	"angles" "0 180 0"
	"model" "models/props_debris/burnt_building_wall_04.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-3003 7222 128"
	"angles" "72.5 90 90"
	"model" "models/props_highway/plywood_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-3009 7185 98"
	"angles" "0 270 90"
	"model" "models/props_highway/plywood_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fence on house behind playground alarm cars, next to the ladder
{
	"classname" "prop_dynamic"
	"origin" "-2896 6720 108"
	"angles" "0 0 0"
	"model" "models/props_urban/wood_fence001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Props in the broken / unfinished house by the playground
{
	"classname" "prop_dynamic"
	"origin" "-392 6329 264"
	"angles" "0 90 0"
	"model" "models/props_misc/standing_tarp_tall.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "74 151 187"
}
{
	"classname" "prop_dynamic"
	"origin" "-58 6419 264"
	"angles" "0 150.5 0"
	"model" "models/props_misc/standing_tarp_narrow.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "74 151 187"
}
{
	"classname" "prop_dynamic"
	"origin" "-354 6521 264"
	"angles" "0 270 0"
	"model" "models/props_industrial/plywood_leaning.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Breakable boards in the broken / unfinished house by the playground
{
	"classname" "prop_physics"
	"origin" "-396 6157 328"
	"angles" "5 270 -180"
	"model" "models/props_debris/wood_board05a.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "264"
}
{
	"classname" "prop_physics"
	"origin" "-377 6157 328"
	"angles" "4.99695 269.825 177.992"
	"model" "models/props_debris/wood_board05a.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "264"
}
{
	"classname" "prop_physics"
	"origin" "-356 6157 328"
	"angles" "4.99523 270.219 -177.49"
	"model" "models/props_debris/wood_board05a.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "264"
}
; --- Fences behind tree house so players that skip over the fence still have to go around to the usual area
{
	"classname" "prop_dynamic"
	"origin" "2206 3681 92"
	"angles" "0 180 0"
	"model" "models/props_urban/wood_fence001_256.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "138 189 153"
	"lightingorigin" "green_fences_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "2206 3841 92"
	"angles" "0 180 0"
	"model" "models/props_urban/wood_fence001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "138 189 153"
}
{
	"classname" "prop_dynamic"
	"origin" "2279 3873 92"
	"angles" "0 90 0"
	"model" "models/props_urban/wood_fence001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "138 189 153"
}
{
	"classname" "prop_dynamic"
	"origin" "2375 3873 92"
	"angles" "0 90 0"
	"model" "models/props_urban/wood_fence001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "138 189 153"
	"lightingorigin" "green_fences_lighting"
}
; --- Fix lighting origin
{
	"classname" "info_target"
	"origin" "2206 3841 92"
	"targetname" "green_fences_lighting"
}
; --- Clipping on fences
{
	"classname" "env_physics_blocker"
	"origin" "2210 3713 880"
	"mins" "4 160 656"
	"maxs" "4 160 656"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2311 3869 880"
	"mins" "97 4 656"
	"maxs" "97 4 656"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Extend green fence into garage sale area
{
	"classname" "prop_dynamic"
	"origin" "2070 2897 92.25"
	"angles" "0 0 0"
	"model" "models/props_urban/wood_fence001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "138 189 153"
	"lightingorigin" "garage_sale_fences_lighting"
}
; --- Fix lighting origin
{
	"classname" "info_target"
	"origin" "2136 2956 96.25"
	"targetname" "garage_sale_fences_lighting"
}
; --- Chimney on house by the blue SUV
{
	"classname" "prop_dynamic"
	"origin" "2468 2392 394"
	"angles" "0 90 0"
	"model" "models/props_exteriors/chimney2.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Log pile by the house next to the blue SUV
{
	"classname" "prop_dynamic"
	"origin" "2591 3167 103"
	"angles" "0 90 0"
	"model" "models/props/cs_militia/logpile2.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Extend fence by the blue SUV
{
	"classname" "prop_dynamic"
	"origin" "3504 2464 96"
	"angles" "0 270 0"
	"model" "models/props_urban/wood_fence001_256.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "blue_suv_fence_lighting"
}
{
	"classname" "info_target"
	"origin" "-2736 6978 109"
	"targetname" "blue_suv_fence_lighting"
}
; --- Fence cover by the sugarmill saferoom
{
	"classname" "prop_dynamic"
	"origin" "4386 -1055 97"
	"angles" "0 270 0"
	"model" "models/props_urban/fence_cover001_256.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Pickup outside sugarmill saferoom
{
	"classname" "prop_dynamic"
	"origin" "3378 -874 102"
	"angles" "0 45 3"
	"model" "models/props_vehicles/pickup_truck_78.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "51 79 119"
}
{
	"classname" "prop_dynamic"
	"origin" "3378 -874 102"
	"angles" "0 45 3"
	"model" "models/props_vehicles/pickup_truck_78_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fix LOS under pickup
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_blue_pickup_a,AddOutput,mins -48 -1 -15,0,-1"
	"OnMapSpawn" "losfix_blue_pickup_a,AddOutput,maxs 48 1 15,0,-1"
	"OnMapSpawn" "losfix_blue_pickup_a,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "losfix_blue_pickup_b,AddOutput,mins -1 -48 -15,0,-1"
	"OnMapSpawn" "losfix_blue_pickup_b,AddOutput,maxs 1 48 15,0,-1"
	"OnMapSpawn" "losfix_blue_pickup_b,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "3348 -905 110"
	"targetname" "losfix_blue_pickup_a"
}
{
	"classname" "func_brush"
	"origin" "3395 -856 110"
	"targetname" "losfix_blue_pickup_b"
}
; --- Washer boxes at house by the sugarmill saferoom
{
	"classname" "prop_dynamic"
	"origin" "3858 -810 97"
	"angles" "1 270 -2"
	"model" "models/props/cs_assault/washer_box.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "3550 -471 96"
	"angles" "0 270 0"
	"model" "models/props/cs_assault/washer_box.mdl"
	"solid" "6"
	"disableshadows" "1"
}

; =====================================================
; ==             LADDER / ELEVATOR NERF              ==
; ==   Nerf ladder & elevator attacks for infected   ==
; =====================================================


; ############  MAP SOUND AND GFX CHANGES  ############
; =====================================================
; ==                  SOUND REMOVAL                  ==
; ==    Remove or adjust sounds played by the map    ==
; =====================================================

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================
; --- Remove TLS infected clips after loading
add:
{
	"classname" "logic_auto"
	; --- Replace broken blocker on generator by burger tank causing physics issues
	"OnMapSpawn" "anv_mapfixes_booster_ginnyjon,Kill,,15,-1"
	; --- Angled clip on top of generator (can be re-enabled if angled blockers get fixed) (#34), replaced with existing Valve commentary blocker
	"OnMapSpawn" "anv_mapfixes_booster_ginnytop,Kill,,15,-1"
	; --- Replace blocker on fence by garage sale
	"OnMapSpawn" "anv_mapfixes_treehouse_whitefence,Kill,,15,-1"
}
; --- Replacement for anv_mapfixes_booster_ginnyjon
{
	"classname" "env_physics_blocker"
	"origin" "-5425 6789 385"
	"angles" "0 45 0"
	"mins" "-10 -4 -284"
	"maxs" "6 4 0"
	"boxmins" "-10 -4 -284"
	"boxmaxs" "6 4 0"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from jumping on top of the generator lights - Replacement for anv_mapfixes_booster_ginnytop, modified Z from c4m5_milltown_escape_commentary.txt
{
	"id" "14000"
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "58 58 1180"
	"mins" "-4 -8 -8"
	"origin" "-5451 6765 386.06"
	"mapupdate" "1"
}
; --- Remove Valve's commentary blockers so we can replace them with our own
add:
{
	"classname" "logic_auto"
	"OnMapSpawn" "env_player_blocker,Kill,,15,-1"
}
; --- Re-add Valve's blockers copied directly from c4m1_milltown_a_commentary.txt, excluding the ones we don't want
; --- Block jesus spot on table in the burger tank - REMOVED, nav fixes vscript fixes jesus spot here, so no need to replace this
;{
;	"id" "13567"
;	"classname" "env_physics_blocker"
;	"BlockType" "1"
;	"initialstate" "1"
;	"maxs" "24 56 144"
;	"mins" "-58 -8 -72"
;	"origin" "-5840 7132 136"
;	"mapupdate" "1"
;}
; --- Block players going past the kill trigger in the water at the docks
{
	"classname" "env_physics_blocker"
	"initialstate" "1"
	"maxs" "400 200 3000"
	"mins" "-500 -528 -80"
	"origin" "-7580.84 6948.33 -303"
	"mapupdate" "1"
	"BlockType" "0"
}
; --- Block survivors from standing on trees by the burger tank
; --- Tree to right of burger tank - REPLACED
;{
;	"classname" "env_physics_blocker"
;	"BlockType" "1"
;	"initialstate" "1"
;	"maxs" "275 200 3000"
;	"mins" "-50 -150 0"
;	"origin" "-6376 6720 265.496"
;	"mapupdate" "1"
;}
; --- Tree by the semi truck - REPLACED
;{
;	"classname" "env_physics_blocker"
;	"BlockType" "1"
;	"initialstate" "1"
;	"maxs" "275 200 3000"
;	"mins" "-50 -150 0"
;	"origin" "-4840 6800 281.496"
;	"mapupdate" "1"
;}
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "350 300 3000"
	"mins" "0 -100 0"
	"origin" "-7144 8120 249.496"
	"mapupdate" "1"
}
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "300 200 3000"
	"mins" "-50 -120 0"
	"origin" "-4800 8480 281.496"
	"mapupdate" "1"
}
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "300 200 3000"
	"mins" "-50 -120 0"
	"origin" "-5520 7936 281.496"
	"mapupdate" "1"
}
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "200 200 3000"
	"mins" "0 -100 0"
	"origin" "-6900.06 7183.3 249.496"
	"mapupdate" "1"
}
; --- Block players standing on shrubs around the edge of the map - CHANGED, now only blocks survivors
{
	"classname" "env_physics_blocker"
	"initialstate" "1"
	"maxs" "50 1200 3000"
	"mins" "-50 -52 -80"
	"origin" "-957.801 3798.52 351.499"
	"mapupdate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"initialstate" "1"
	"maxs" "50 300 2000"
	"mins" "-50 -52 -80"
	"origin" "-2852.78 5296.57 290.201"
	"mapupdate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"initialstate" "1"
	"maxs" "50 1000 2000"
	"mins" "-50 -52 -80"
	"origin" "-2948.78 5232.57 290.201"
	"mapupdate" "1"
	"BlockType" "1"
}
; --- Block players from getting stuck under a boat on the street
{
	"classname" "env_physics_blocker"
	"BlockType" "0"
	"initialstate" "1"
	"maxs" "0 0 60"
	"mins" "-25 -25 0"
	"origin" "957.262 5780.71 107.593"
	"mapupdate" "1"
}
{
	"classname" "env_physics_blocker"
	"BlockType" "0"
	"initialstate" "1"
	"maxs" "0 0 60"
	"mins" "-25 -25 0"
	"origin" "917.262 5840.71 107.593"
	"mapupdate" "1"
}
; --- Replacement clips on trees
; --- Tree to right of burger tank
{
	"classname" "env_physics_blocker"
	"origin" "-6257 6827 984"
	"mins" "-37 -93 -552"
	"maxs" "37 93 552"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6306 6705 928"
	"mins" "-97 -29 -608"
	"maxs" "97 29 608"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6319 6626 956"
	"mins" "-18 -51 -580"
	"maxs" "18 51 580"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6222 6660 960"
	"mins" "-79 -16 -576"
	"maxs" "79 16 576"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-6158 6735 928"
	"mins" "-51 -38 -608"
	"maxs" "51 38 608"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Tree by the semi truck
{
	"classname" "env_physics_blocker"
	"origin" "-4802 6801 984"
	"mins" "-24 -11 -552"
	"maxs" "24 11 552"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-4803 6893 952"
	"mins" "-26 -15 -584"
	"maxs" "26 15 584"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-4757 6887 952"
	"mins" "-21 -112 -584"
	"maxs" "21 112 584"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-4708 6819 956"
	"mins" "-29 -23 -580"
	"maxs" "29 23 580"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-4681 6776 936"
	"mins" "-55 -20 -604"
	"maxs" "55 20 604"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-4653 6739 940"
	"mins" "-18 -18 -596"
	"maxs" "18 18 596"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-4738 6733 932"
	"mins" "-23 -53 -604"
	"maxs" "23 53 640"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
add:
; --- Infected ladder to prevent players getting perma-stuck in the green dumpster by the burger tank
{
	"classname" "func_simpleladder"
	"origin" "-29 -205 -117"
	"angles" "0 0 0"
	"model" "*122"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get on the taller building by the burger tank from behind the fences
{
	"classname" "func_simpleladder"
	"origin" "2402 14762 0"
	"angles" "0 90 0"
	"model" "*58"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get on awning by playground saferoom
{
	"classname" "func_simpleladder"
	"origin" "4095 14448 -39"
	"angles" "0 90 0"
	"model" "*62"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Prop for ladder
{
	"classname" "prop_dynamic"
	"origin" "-3680 8145 277"
	"angles" "0 180 0"
	"model" "models/props_downtown/gutter_downspout_straight_160_01.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Infected ladder to get on the playground saferoom roof by the crashed cars
{
	"classname" "func_simpleladder"
	"origin" "-8705 7259 -152"
	"angles" "0 270 0"
	"model" "*117"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Prop for ladder
{
	"classname" "prop_dynamic"
	"origin" "-2746 8144 280"
	"angles" "0 0 0"
	"model" "models/props_downtown/gutter_downspout_straight_160_02.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Infected ladder to get on the back of the boat garage building
{
	"classname" "func_simpleladder"
	"origin" "5086 -3966.5 -14"
	"angles" "0 90 0"
	"model" "*121"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Prop for ladder
{
	"classname" "prop_dynamic"
	"origin" "4169 -454 248"
	"angles" "0 270 0"
	"model" "models/props_downtown/gutter_downspout_straight_160_02.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Replace ladders on green dumpster with better ones
filter:
{
	"hammerid" "2452935"
}
{
	"hammerid" "2452920"
}
add:
{
	"classname" "func_simpleladder"
	"origin" "-458 1161 -43"
	"angles" "0 0 0"
	"model" "*182"
	"normal.x" "0.00"
	"normal.y" "-0.968049"
	"normal.z" "0.250760"
	"team" "0"
}
{
	"classname" "prop_dynamic"
	"origin" "3402 297 133"
	"angles" "12.4992 89.4942 -0.187695"
	"model" "models/props/de_train/ladderaluminium.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "func_simpleladder"
	"origin" "7290 -396.5 -43"
	"angles" "0 180 0"
	"model" "*182"
	"normal.x" "0.00"
	"normal.y" "0.968049"
	"normal.z" "0.250760"
	"team" "0"
}
{
	"classname" "prop_dynamic"
	"origin" "3431 468 133"
	"angles" "12.4992 269.494 -0.187695"
	"model" "models/props/de_train/ladderaluminium.mdl"
	"solid" "0"
	"disableshadows" "1"
}


; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==             PLAYGROUND ROUTE REWORK             ==
; ==      Block off routes by playground houses      ==
; =====================================================
add:
; --- Hedges at the front of the playground
{
	"classname" "prop_dynamic"
	"origin" "-1997 7013 95"
	"angles" "0 90 0"
	"model" "models/props_foliage/urban_hedge_256_128_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-1997 6789 95"
	"angles" "0 90 0"
	"model" "models/props_foliage/urban_hedge_256_128_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-1997 6565 95"
	"angles" "0 90 0"
	"model" "models/props_foliage/urban_hedge_256_128_high.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on hedges
{
	"classname" "env_physics_blocker"
	"origin" "-1997 6788 881"
	"mins" "-20 -347 -655"
	"maxs" "20 347 655"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Fences to block path on side of houses by green house / trailer
{
	"classname" "prop_dynamic"
	"origin" "-768 5440 94"
	"angles" "0 180 0"
	"model" "models/props_urban/wood_fence001_256.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-768 5248 94"
	"angles" "0 180 0"
	"model" "models/props_urban/wood_fence001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fences to block path by the playground
{
	"classname" "prop_dynamic"
	"origin" "-704 6152 94"
	"angles" "0 90 0"
	"model" "models/props_urban/wood_fence001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-768 6080 94"
	"angles" "0 180 0"
	"model" "models/props_urban/wood_fence001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-768 5984 94"
	"angles" "0 180 0"
	"model" "models/props_urban/wood_fence001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- SUV to jump over the fences by the playground
{
	"classname" "prop_dynamic"
	"origin" "-896 6112 96"
	"angles" "0.970293 165.998 -0.241945"
	"model" "models/props_vehicles/suv_2001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "139 63 52"
}
{
	"classname" "prop_dynamic"
	"origin" "-896 6112 96"
	"angles" "0.970293 165.998 -0.241945"
	"model" "models/props_vehicles/suv_2001_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-937 6123 156"
	"angles" "0 -14 0"
	"mins" "-12 -33 -5"
	"maxs" "12 33 5"
	"boxmins" "-12 -33 -5"
	"boxmaxs" "12 33 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-929 6121 166"
	"angles" "0 -14 0"
	"mins" "-12 -31 -5"
	"maxs" "12 31 5"
	"boxmins" "-12 -31 -5"
	"boxmaxs" "12 31 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-916 6118 174"
	"angles" "0 -14 0"
	"mins" "-12 -29 -3"
	"maxs" "12 29 3"
	"boxmins" "-12 -29 -3"
	"boxmaxs" "12 29 3"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Block the door between the 2 new fences
{
	"classname" "prop_dynamic"
	"origin" "-876 5743 104"
	"angles" "0 0 0"
	"model" "models/props_interiors/bookcase_64_96.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-835 5758 104"
	"angles" "0 279 0"
	"model" "models/props_interiors/dresser_tall.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic_override"
	"origin" "-870 5719 123"
	"angles" "-85.5 174 0"
	"model" "models/props_interiors/sofa_chair02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-842 5716 116"
	"angles" "17.4938 358.427 -0.472886"
	"model" "models/deadbodies/dead_male_civilian_body.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- SMG spawn on the dead body
{
	"classname" "weapon_spawn"
	"origin" "-839 5723 126"
	"angles" "22.7339 307.712 24.5175"
	"weapon_selection" "any_smg"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Change the door model so players can see that it's blocked
modify:
{
	match:
	{
		"hammerid" "1386333"
	}
	replace:
	{
		"model" "models/props_downtown/door_interior_128_01_dm02_01.mdl"
	}
}
; --- Remove 2 doors in the upstairs room by the balcony
filter:
{
	"hammerid" "1131145"
}
{
	"hammerid" "1131066"
}
add:
; --- Infected ladder on hedge
{
	"classname" "func_simpleladder"
	"origin" "-844 264 0"
	"angles" "0 0 0"
	"model" "*170"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladders on fence by SUV
{
	"classname" "func_simpleladder"
	"origin" "-7303 5507 -22"
	"angles" "0 270 0"
	"model" "*171"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-1405 12711 -22"
	"angles" "0 180 0"
	"model" "*171"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladders on fence by trailer
{
	"classname" "func_simpleladder"
	"origin" "-123 -1150 -22"
	"angles" "0 0 0"
	"model" "*171"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-1405 12128 -22"
	"angles" "0 180 0"
	"model" "*171"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; =====================================================
; ==           		    Pille wyjebane               ==
; =====================================================
filter:
{
	"hammerid" "1459391"
}
{
	"hammerid" "1459393"
}
{
	"hammerid" "1459397"
}
{
	"hammerid" "1459401"
}
{
	"hammerid" "1459411"
}
{
	"hammerid" "1459485"
}
{
	"hammerid" "1459489"
}
{
	"hammerid" "1459493"
}
{
	"hammerid" "1459497"
}
{
	"hammerid" "2159169"
}
{
	"hammerid" "2159173"
}
{
	"hammerid" "2159183"
}
{
	"hammerid" "2159185"
}
{
	"hammerid" "2376816"
}
{
	"hammerid" "2882688"
}
{
	"hammerid" "2882690"
}
{
	"hammerid" "2883126"
}
{
	"hammerid" "2883128"
}
{
	"hammerid" "2885982"
}
{
	"hammerid" "2885980"
}
{
	"hammerid" "2348351"
}
{
	"hammerid" "2884320"
}